# GATree
[![GATree](https://github.com/lahovniktadej/gatree/actions/workflows/test.yml/badge.svg)](https://github.com/lahovniktadej/gatree/actions/workflows/test.yml)
[![Documentation status](https://readthedocs.org/projects/gatree/badge/?version=latest)](https://gatree.readthedocs.io/en/latest/?badge=latest)
![Open issues](https://isitmaintained.com/badge/open/lahovniktadej/gatree.svg)
![Repository size](https://img.shields.io/github/repo-size/lahovniktadej/gatree)
![License](https://img.shields.io/github/license/lahovniktadej/gatree.svg)

* **Free software:** MIT license
* **Documentation**: [http://gatree.readthedocs.io](http://gatree.readthedocs.io)
* **Python**: 3.9.x, 3.10.x
* **Operating systems**: Windows, Ubuntu, macOS

## About 📋
GATree is a Python library designed for implementing generative decision trees using a genetic algorithm approach. The library provides functionalities for selection, mutation, and crossover operations within the decision tree structure, allowing users to evolve and optimize decision trees for various classification tasks. 🌲🧬

The library's core objective is to empower users in creating and fine-tuning decision trees through an evolutionary process, opening avenues for innovative approaches to classification problems. GATree enables the dynamic growth and adaptation of decision trees, offering a flexible and powerful tool for machine learning enthusiasts and practitioners. 🚀🌿

## Installation
### pip
To install GATree using pip, run the following command:
```bash
pip install gatree
```

## License
This package is distributed under the MIT License. This license can be found online at <http://www.opensource.org/licenses/MIT>.

## Disclaimer
This framework is provided as-is, and there are no guarantees that it fits your purposes or that it is bug-free. Use it at your own risk!